I can’t install package caret in Rstudio.cloud

caret
#1

I can’t install package caret. Following errors are appeared:

  • installing source package ‘ddalpha’ ...
    ** package ‘ddalpha’ successfully unpacked and MD5 sums checked
    ** libs
    g++ -std=gnu++11 -I/opt/R/3.4.4/lib/R/include -DNDEBUG -I"/home/rstudio-user/R/x86_64-pc-linux-gnu-library/3.4/BH/include" -I"/home/rstudio-user/R/x86_64-pc-linux-gnu-library/3.4/Rcpp/include" -I/usr/local/include -fpic -g -O2 -c AlphaProcedure.cpp -o AlphaProcedure.o
    g++: internal compiler error: Killed (program cc1plus)
    Please submit a full bug report,
    with preprocessed source if appropriate.
    See <file:///usr/share/doc/gcc-5/README.Bugs> for instructions.
    make: *** [AlphaProcedure.o] Error 4
    /opt/R/3.4.4/lib/R/etc/Makeconf:168: recipe for target 'AlphaProcedure.o' failed
    ERROR: compilation failed for package ‘ddalpha’
  • removing ‘/home/rstudio-user/R/x86_64-pc-linux-gnu-library/3.4/ddalpha’
    Warning in install.packages :
    installation of package ‘ddalpha’ had non-zero exit status
    ERROR: dependency ‘ddalpha’ is not available for package ‘recipes’
  • removing ‘/home/rstudio-user/R/x86_64-pc-linux-gnu-library/3.4/recipes’
    Warning in install.packages :
    installation of package ‘recipes’ had non-zero exit status
    ERROR: dependency ‘recipes’ is not available for package ‘caret’
  • removing ‘/home/rstudio-user/R/x86_64-pc-linux-gnu-library/3.4/caret’
    Warning in install.packages :
    installation of package ‘caret’ had non-zero exit status

The downloaded source packages are in
‘/tmp/RtmpdwXZfw/downloaded_packages’

Please, help

0 Likes

#2

I just did a fresh RStudio cloud session and installed caret successfully.

A link to the project is below (there's no content, the only thing run was install.packages("caret", dependencies = TRUE):
https://rstudio.cloud/project/42168

0 Likes

#3

This is an indication that you have run out of memory:

What was going on in your session at the time of the failure?

1 Like

I can't install packaged Xgboost
#4

I am having the same issue as well. Running install.packages("caret", dependencies = TRUE) as advised, but at the end of a very lengthy install process calling caret gives this error:

library(caret)
Error: package or namespace load failed for ‘caret’ in loadNamespace(j <- i[[1L]], c(lib.loc, .libPaths()), versionCheck = vI[[j]]): there is no package called ‘dimRed’

Installing "dimRed" does not work initially as it says that:

Warning in install.packages :
dependency ‘Biobase’ is not available

Biobase needs to be installed manually:

if (!requireNamespace("BiocManager", quietly = TRUE))
install.packages("BiocManager")
BiocManager::install("Biobase", version = "3.8")

So the steps for me were: (1) install Biobase as above, (2) install dimRed, (3) install caret

0 Likes

#5

This is a temporary issue.

A new version of dimRed was sent to CRAN in the last few days and a member of CRAN unilaterally added two dependencies to dimRed (and changed the version). A Bioconductor dependency is a big issue and we are working hard to undo the change.

In the meantime, you can install Biobase prior to installing caret or recipes or dimRed (as you show).

0 Likes

#6

Oh, wow! Hope this will be resolved quickly...

0 Likes

#7

Hello there and thanks for the support. I tried to load the as per description and I could load caret lib now, seems working thanks

0 Likes

#8

If your question's been answered (even by you!), would you mind choosing a solution? It helps other people see which questions still need help, or find solutions if they have similar problems. Here’s how to do it:

0 Likes

closed #9

This topic was automatically closed 7 days after the last reply. New replies are no longer allowed.

0 Likes